I  should investigate some way to patch existing flash builder code with 
something like aspectj ... Had write some success with stuff like that in the 
past.

Chris



Von meinem Samsung Galaxy Smartphone gesendet.


-------- Urspr√ľngliche Nachricht --------
Von: Josh Tynjala <joshtynj...@gmail.com>
Datum: 01.12.16 17:55 (GMT+01:00)
An: dev@flex.apache.org
Betreff: Re: How Apache manages FlexJS version in flex-sdk-description?

It's impossible for us to put the real version number for FlexJS in the
<version> element because Flash Builder thinks 0.8.0 is not a valid version
for a Flex SDK. We're basically tricking Flash Builder into thinking our
SDK is Flex 4. Adobe no longer updates Flash Builder, so we can't convince
them to add a special case for FlexJS. With that in mind, simply think of
the <version> element as a placeholder field that you should ignore as a
user. The real version is included in the <name> element.

I had to do the same thing with the Feathers SDK:

https://github.com/BowlerHatLLC/feathers-sdk/blob/v3.1.1/flex-sdk-description.xml#L24

Just one of the things we need to deal with building a modern ActionScript
SDK while people are still using older tools.

- Josh

On Wed, Nov 30, 2016 at 11:33 PM, sankar <santanu4...@gmail.com> wrote:

> But for proper information purpose if Flex SDK releases comes with
> appropriate *version* value in flex-sdk-description, doesn't FlexJS SDKs
> also suppose to come with modified versioning figures (except 4.14.1
> everytime)?
>
>
>
> --
> View this message in context: http://apache-flex-
> development.2333347.n4.nabble.com/How-Apache-manages-FlexJS-
> version-in-flex-sdk-description-tp56851p56858.html
> Sent from the Apache Flex Development mailing list archive at Nabble.com.
>

Reply via email to